Scilab function

check_graph - vérifie un graphe Scilab

### Calling Sequence

  `check_graph(g)`

### Parameters

- `g` : graphe (liste) à vérifier

### Description

`check_graph` vérifie si `g` est un graphe. La vérification est non seulement syntaxique (nombre d'éléments de la liste, tailles compatibles des vecteurs), mais aussi sémantique au sens où `check_graph` vérifie que les éléments `node_number` , `tail` et `head` de la liste représentent vraiment un graphe.

De plus, les noms des sommets doivent être différents. En fait, cela ne donne pas d'erreur dans Scilab, mais un comportement étrange peut en résulter dans la fenêtre Metanet. Ceci n'est pas vérifié par `check_graph` car cela prendrait trop de temps. Cela est seulement vérifié lors de la visualisation, sauvegarde ou chargement du graphe.

### See Also

`graph-list` ,